Bug 64638 - Installer strips quotes in lilo.conf, leaves system unbootable
Summary: Installer strips quotes in lilo.conf, leaves system unbootable
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: anaconda (Show other bugs)
(Show other bugs)
Version: 7.3
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: Jeremy Katz
QA Contact: Mike McLean
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: 67218 79579
TreeView+ depends on / blocked
 
Reported: 2002-05-08 22:25 UTC by Mike MacCana
Modified: 2007-04-18 16:42 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-02-10 20:13:18 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Mike MacCana 2002-05-08 22:25:24 UTC
From Bugzilla Helper: 
User-Agent: Mozilla/5.0 (compatible; Konqueror/3.0.0-10; Linux) 
 
Description of problem: 
Lilo has supported quotes for some time now, eg one can set a value 
like label="Red Hat 7.2" or label="Windows XP". The Red Hat installer 
will strip the quotes from the file, making it invalid. Lilo will thus 
not apply the changes the installer made correctly, and the system 
will be unbootable when the installer is finished. 
 
Version-Release number of selected component (if applicable): 
 
 
How reproducible: 
Always 
 
Steps to Reproduce: 
1.Use quotes in a label in lilo.conf in Red Hat 7.2 
2.Upgrade to 7.3 
  
 
Actual Results:  The system was unbootable. 
Using rescue mode showed the installer had removed the quotes and 
broke lilo.conf 
 
Expected Results:  The installer should understand and keep the 
quotes, and thus allow the system to be booted after an upgrade. 
 
Additional info:

Comment 1 Michael Fulbright 2002-05-09 18:24:37 UTC
Jeremy did you have a bug like this you fixed already?

Comment 2 Jeremy Katz 2002-05-09 21:03:40 UTC
No, I fixed the opposite where having quotes caused lilo to be unhappy.

*sigh*

Comment 3 Jeremy Katz 2003-01-23 03:16:34 UTC
Actually, looking more closely, this should be fixed in our current codebase.

Comment 4 Jay Turner 2003-02-10 19:54:35 UTC
anaconda-8.0.94-0.20030210014339 (from the re0210.0 tree) is still stripping the
quotes from the lilo.conf label fields, leaving the machine unable to boot.

Comment 5 Jay Turner 2003-02-10 20:05:20 UTC
Actually, I lied.  We are still stripping the quotes, but the machine still
boots as well . . . pretty damn odd.

Comment 6 Jeremy Katz 2003-02-10 20:10:59 UTC
There are some places that we have to strip quotes and some places where if we
do, it causes bad things to happen.  lilo config parsing makes my head hurt.

Comment 7 Jay Turner 2003-02-10 20:13:18 UTC
Closing out then.


Note You need to log in before you can comment on or make changes to this bug.